Subject: Re: [PATCH -next] metag: Fix ioremap_wc/ioremap_cached build errors

From: Stephen Rothwell <[email-masked]>
Date: Tue, 24 Mar 2015 08:02:38 +1100

Hi Greg,

On Mon, 23 Mar 2015 20:54:01 +0100 Greg Kroah-Hartman <[email-masked]> wrote:
>
> On Mon, Mar 23, 2015 at 12:26:15PM +0000, James Hogan wrote:
> > When ioremap_wc() or ioremap_cached() are used without first including
> > asm/pgtable.h, the _PAGE_CACHEABLE or _PAGE_WR_COMBINE definitions
> > aren't found, resulting in build errors like the following (in
> > next-20150323 due to "lib: devres: add a helper function for
> > ioremap_wc"):
> > 
> > lib/devres.c: In function ‘devm_ioremap_wc’:
> > lib/devres.c:91: error: ‘_PAGE_WR_COMBINE’ undeclared
> > 
> > We can't easily include asm/pgtable.h in asm/io.h due to dependency
> > problems, so split out the _PAGE_* definitions from asm/pgtable.h into a
> > separate asm/pgtable-bits.h header (as a couple of other architectures
> > already do), and include that in io.h instead.
> > 
> > Signed-off-by: James Hogan <[email-masked]>
> > Cc: [email-masked]
> > Cc: Abhilash Kesavan <[email-masked]>
> > Cc: Greg Kroah-Hartman <[email-masked]>
> > ---
> > GregKH: I can apply this patch to the metag tree for 4.0. However commit
> > 34644524bce9 "lib: devres: add a helper function for ioremap_wc" in
> > your char-misc-next branch in next-20150323 will still break the metag
> > build until the two changes merge. How do you want to handle that?
> 
> I don't know, I can't pull that into 4.0-final as it's not 4.0-final
> material.  So there's nothing I can do from my end, sorry.

Am I missing something?  Why can't you just put that commit in your
char-misc-next branch along with the commit that causes the need for
that commit?  If James put it in it's own (non rebasing) branch, you
could even both merge it into your trees ...
-- 
Cheers,
Stephen Rothwell                    [email-masked]